QGIS Application - Bug report #21413
startup.py is not executed
2019-02-27 10:19 PM - jachym -

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti
Category: PyQGIS Console

Affected QGIS version:3.7(master)
Operating System: Ubuntu
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: invalid

Copied to github as #: 29230

Description

According to documentation https://docs.qgis.org/testing/en/docs/pyqgis_developer_cookbook/intro.html#the-startup-py-file I've created

startup file in *~/.local/share/QGIS/QGIS3/profiles/default/python/startup.py” and made it executable.

When | start ‘qgis’, the file is not executed

When | explicitly export ' PYQGIS_STARTUP® variable, everything works as expected.

History

#1 - 2019-02-28 07:50 AM - Alessandro Pasotti
- Assignee set to Alessandro Pasotti

#2 - 2019-02-28 08:09 AM - Alessandro Pasotti
- Resolution set to invalid
- Status changed from Open to Closed

Run this code from the console to know what are the path where you can place startup.py

QStandardPaths.standardLocations( QStandardPaths.AppDatalocation )

For example:
~/.local/share/QGIS/QGIS3/
